package design.patterns.behavioural.chainofresponsibility2;

public class Main {
    public static void main(String[] args) {
        ToUpperHandler toUpperHandler = new ToUpperHandler();
        RemoveSpaceHandler removeSpaceHandler = new RemoveSpaceHandler();
        RandomNumberHandler randomNumberHandler = new RandomNumberHandler();

        toUpperHandler.setNextHandler(removeSpaceHandler);
        removeSpaceHandler.setNextHandler(randomNumberHandler);

        String value = "fasilkom ui";
        toUpperHandler.handle(value);

    }
}
