package design.patterns.behavioural.chainofresponsibility2;

public class RemoveSpaceHandler extends BaseHandler{

    @Override
    public void handle(String str) {
        str = str.replaceAll("\\s", "");
        if (this.nextHandler != null) {
            nextHandler.handle(str);
        } else {
            System.out.println(str);
        }
    }
}
