package design.patterns.behavioural.strategy;

public class Main {

    public static void main(String[] args) {
        MallardDuck mallardDuck = new MallardDuck();
        mallardDuck.setFlyBehaviour(new FlyWithWings());
        mallardDuck.setQuackBehaviour(new Quack());
        mallardDuck.display();
        mallardDuck.swim();
        mallardDuck.quack();
        mallardDuck.fly();

        RubberDuck rubberDuck = new RubberDuck();
        rubberDuck.setFlyBehaviour(new FlyNoWay());
        rubberDuck.setQuackBehaviour(new Squeak());
        rubberDuck.quack();
        rubberDuck.fly();

        AnotherDuckB anotherDuckB = new AnotherDuckB();
        anotherDuckB.setFlyBehaviour(new FlyWithJetMachine());
        anotherDuckB.setQuackBehaviour(new Quack());
        anotherDuckB.fly();

        AnotherDuckA anotherDuckA = new AnotherDuckA();
        anotherDuckA.setFlyBehaviour(new FlyWithJetMachine());
        anotherDuckA.setQuackBehaviour(new Quack());
        anotherDuckA.fly();




    }

}
